Package de.geolykt.starloader.mod

# Class DiscoveredExtension.ExternalDependencies

java.lang.Object
de.geolykt.starloader.mod.DiscoveredExtension.ExternalDependencies

Enclosing class:
  `DiscoveredExtension`

public static final class DiscoveredExtension.ExternalDependencies extends Object

## Constructor Summary

Constructors
Constructor
Description
`ExternalDependencies(@NotNull List<DiscoveredExtension.ExternalRepository> repositories, @NotNull List<DiscoveredExtension.ExternalDependencyArtifact> artifacts)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull List<DiscoveredExtension.ExternalDependencyArtifact>`
`getArtifacts()`
`@NotNull Collection<DiscoveredExtension.ExternalRepository>`
`getRepositories()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExternalDependencies

public ExternalDependencies(@NotNull @NotNull List<DiscoveredExtension.ExternalRepository> repositories, @NotNull @NotNull List<DiscoveredExtension.ExternalDependencyArtifact> artifacts)

## Method Details

### getArtifacts

@NotNull public @NotNull List<DiscoveredExtension.ExternalDependencyArtifact> getArtifacts()

### getRepositories

@NotNull public @NotNull Collection<DiscoveredExtension.ExternalRepository> getRepositories()